// Scripts for unifying recipes
ServerEvents.recipes(event => {
	
event.replaceInput(
  { output: 'expatternprovider:silicon_block' },
  'ae2:silicon',
  '#forge:silicon'
)

event.replaceInput(
  { output: 'thermal:coal_coke_block' },
  'thermal:coal_coke',
  '#forge:coal_coke'
)

event.replaceInput(
  { output: 'thermal:constantan_block' },
  'thermal:constantan_ingot',
  '#forge:ingots/constantan'
)

event.replaceInput(
  { output: 'enderio:dark_steel_block' },
  'enderio:dark_steel_ingot',
  '#forge:ingots/dark_steel'
)

event.replaceInput(
  { output: 'embers:dawnstone_block' },
  'embers:dawnstone_ingot',
  '#forge:ingots/dawnstone'
)

event.replaceInput(
  { output: 'thermal:electrum_block' },
  'thermal:electrum_ingot',
  '#forge:ingots/electrum'
)

event.replaceInput(
  { output: 'enderio:energetic_alloy_block' },
  'enderio:energetic_alloy_ingot',
  '#forge:ingots/energetic_alloy'
)

event.replaceInput(
  { output: 'thermal:invar_block' },
  'thermal:invar_ingot',
  '#forge:ingots/invar'
)

event.replaceInput(
  { output: 'thermal:lumium_block' },
  'thermal:lumium_ingot',
  '#forge:ingots/lumium'
)

event.replaceInput(
  { output: 'thermal:signalum_block' },
  'thermal:signalum_ingot',
  '#forge:ingots/signalum'
)

event.replaceInput(
  { output: 'mekanism:block_steel' },
  'mekanism:ingot_steel',
  '#forge:ingots/steel'
)

event.replaceInput(
  { input: 'bigreactors:yellorium_ingot' },
  'bigreactors:yellorium_ingot',
  '#forge:ingots/uranium'
)

// Pulverize Certus Quartz
event.recipes.thermal.pulverizer('ae2:certus_quartz_dust', '#forge:gems/certus_quartz').energy(2000)

// Alloy + Press brass
event.recipes.thermal.smelter('2x create:brass_ingot', ['#forge:ingots/copper', '#forge:ingots/zinc']).energy(6400)
event.recipes.thermal.press('create:brass_sheet', ['#forge:ingots/brass']).energy(2400)

// Replace Netherite in a few recipes
event.replaceInput(
  { output: 'pneumaticcraft:huge_tank' },
  'minecraft:netherite_ingot',
  'minecraft:netherite_scrap'
)

event.replaceInput(
  { output: 'mekanism_extras:supreme_energy_cube' },
  'minecraft:netherite_ingot',
  'minecraft:netherite_scrap'
)

// Copper Nuggets
event.replaceInput(
  { input: 'create:copper_nugget' },
  'create:copper_nugget',
  '#forge:nuggets/copper'
)

})

ServerEvents.tags('item', event => {

// Remove yellorium tag
event.remove('forge:ingots/uranium', 'bigreactors:yellorium_ingot')
	
})